/** @jsxRuntime classic */
/** @jsx jsx */
import React from 'react';
export interface DisabledProps {
    disabled?: boolean;
}
export interface CheckboxProps extends DisabledProps {
    id: string;
    label?: React.ReactNode;
    name?: string;
    value?: string;
    checked?: boolean;
    indeterminate?: boolean;
    disabled?: boolean;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
export default function CheckBox({ id, label, name, value, checked, indeterminate, disabled, onChange, }: CheckboxProps): import("@emotion/react/jsx-runtime").JSX.Element;
