/** @jsxRuntime classic */
/** @jsx jsx */
import React from 'react';
export interface IRadioList {
    name: string;
    disabled: boolean;
    selected: boolean;
}
export interface RadioGroupProps {
    groupName: string;
    groupLabel?: React.ReactNode;
    radioLists: Array<IRadioList>;
    containerWidth?: string;
    radioListWidth?: string;
    direction?: 'vertical' | 'horizontal';
    helpText?: React.ReactNode;
    validation?: 'none' | 'passed' | 'failed';
    allDisabled?: boolean;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
}
export default function RadioGroup({ groupName, groupLabel, radioLists, containerWidth, radioListWidth, direction, helpText, validation, allDisabled, onChange, }: RadioGroupProps): import("@emotion/react/jsx-runtime").JSX.Element;
