/** @jsxRuntime classic */
/** @jsx jsx */
import React from 'react';
export declare type OnClickSelectPage = (e: React.MouseEvent, page: number) => void;
export interface PaginationBasicProps {
    totalPages: number;
    selectedPage: number;
    backgroundColor?: string;
    onClickSelectPage: OnClickSelectPage;
    onClickPrev: React.MouseEventHandler;
    onClickNext: React.MouseEventHandler;
}
export default function PaginationBasic({ totalPages, selectedPage, onClickSelectPage, backgroundColor, onClickPrev, onClickNext, }: PaginationBasicProps): import("@emotion/react/jsx-runtime").JSX.Element;
