/** @jsxRuntime classic */
/** @jsx jsx */
import type { menuOptionArray } from 'components/molcules/Inputs/Dropdown.M';
export interface PaginationDataTableProps {
    totalPage: number;
    selectedPage: number;
    itemPerPageMenu: menuOptionArray;
    backgroundColor?: string;
    selectedItemPerPage: string | number;
    onChangeItemPerPage: React.ChangeEventHandler;
    onChangeSelectPage: React.ChangeEventHandler;
    onClickPrev: React.MouseEventHandler;
    onClickNext: React.MouseEventHandler;
}
export default function PaginationDataTable({ totalPage, selectedPage, itemPerPageMenu, backgroundColor, selectedItemPerPage, onChangeItemPerPage, onChangeSelectPage, onClickPrev, onClickNext, }: PaginationDataTableProps): import("@emotion/react/jsx-runtime").JSX.Element;
