/** @jsxRuntime classic */
/** @jsx jsx */
export interface ButtonProps {
    children?: React.ReactNode;
    mould?: 'primary' | 'secondary' | 'tertiary' | 'icon';
    icon?: React.ReactNode | string;
    iconPosition?: 'none' | 'left' | 'right';
    size?: 'large' | 'medium' | 'small' | 'XSmall';
    disabled?: boolean;
    width?: string;
    height?: string;
    onClick?: React.MouseEventHandler;
}
export default function Button({ children, mould, icon, iconPosition, size, disabled, width, height, onClick, }: ButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
